%define expat_version           1.95.5
%define glib2_version           2.6.0
%define dbus_glib_version       0.70
%define dbus_version       0.90
%define dbus_python_version 0.71

%define lib_major 1
%define lib_name %mklibname %{name} %{lib_major}

Summary: Hardware Abstraction Layer
Name: hal
Version: 0.5.9
Release: %mkrel 0.rc2.2
URL: http://www.freedesktop.org/Software/hal
Source0: http://freedesktop.org/~david/dist/%{name}-%{version}.rc2.tar.bz2
# (fc) 0.2.97-3mdk fix start order (Mdk bug #11404)
Patch3: hal-0.2.97-order.patch
# (fc) 0.4.7-8mdk fix translation
Patch10: hal-0.4.8-fixpo.patch
# (fc) 0.4.7-9mdk fix media check on usb memory keys (Mdk bug #15070)
Patch11: hal-0.5.8.1-usbmediacheck.patch
# (couriousous) 0.5.5.1-4mdk add parallel init informations
Patch21: hal-0.5.7.1-pinit.patch
# (blino) 0.5.8.1-4mdv prefer pm-utils when available
Patch45: hal-0.5.9-prefer-pm-utils.patch
# (fc) 0.5.8.1-6mdv allow "flush" for vfat
Patch47: hal-flush.patch
# (fc) 0.5.8.1-6mdv allow "uid" for NTFS partitions (SUSE)
Patch48: hal-allow_uid_for_ntfs.patch
# (fc) 0.5.8.1-8mdv allow user_xattr for ext2/ext3 for mount
Patch51: hal-user_xattr.patch
# (blino) 0.5.9-0.rc1.3mdv fix vbe_post call for pm-utils
Patch53: hal-0.5.9-vbe-post.patch
# (fc) 0.5.9-0.rc2.2mdv fix CDROM TOC reading for drive giving invalid TOC info (GIT)
Patch54: hal-0.5.9-cdromtoc.patch
# (fc) 0.5.9-0.rc2.2mdv fix locking (GIT)
Patch55: hal-0.5.9-fixlocking.patch
# (fc) 0.5.9-0.rc2.2mdv fix LUKS locking (GIT)
Patch56: hal-0.5.9-lukslock.patch

License: AFL/GPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires(pre): rpm-helper
Requires(preun): rpm-helper
Requires(post): rpm-helper
BuildRequires: expat-devel >= %{expat_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: libcap-devel
BuildRequires: python python-devel
BuildRequires: pciutils-devel
BuildRequires: popt-devel
BuildRequires: libvolume_id-devel
BuildRequires: libparted-devel
BuildRequires: usbutils
#BuildRequires: policykit-devel
BuildRequires: glibc-static-devel
BuildRequires: perl-XML-Parser
BuildRequires: ImageMagick
BuildRequires: docbook-dtd412-xml
BuildRequires: intltool
BuildRequires: gtk-doc
BuildRequires: xmlto
BuildRequires: automake1.9
Requires: dbus >= %{dbus_version}
Requires (pre): hal-info > 0.0-4.20070302.1mdv
Requires: hal-info 
#needed to get pci.ids
Requires: pciutils 
#needed to get usb.ids
Requires: usbutils

%description

HAL is daemon for collection and maintaining information from several
sources about the hardware on the system. It provides a live device
list through D-BUS.


%package gnome
Summary: GNOME based device manager for HAL
Group: Graphical desktop/GNOME
Requires: dbus-python >= %{dbus_python_version}
Requires: pygtk2.0-libglade >= 2.0.0
Requires: gnome-python >= 2.0.0
Requires: gnome-python-gnomevfs >= 2.0.0

%description gnome
GNOME program for displaying the devices detected by HAL

%package -n %{lib_name}
Summary: Shared library for using HAL
Group: System/Libraries
Requires: %name >= %{version}-%{release}

%description -n %{lib_name}
HAL shared library.

%package -n %{lib_name}-devel
Summary: Libraries and headers for HAL
Group: Development/C
Requires: %{name} = %{version}
Requires: %{lib_name} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
#gw got this from the pkgconfig file:
Requires: dbus-devel >= %{dbus_version}
Conflicts: %{_lib}hal0-devel 

%description -n %{lib_name}-devel

Headers and static libraries for HAL.


%prep
%setup -q
%patch3 -p1 -b .order
%patch10 -p1 -b .fixpo
%patch11 -p1 -b .usbmediacheck
%patch21 -p1 -b .pinit
%patch45 -p1 -b .pm-utils
%patch47 -p1 -b .flush
%patch48 -p1 -b .allow_uid_for_nfts
%patch51 -p1 -b .user_xattr
%patch53 -p1 -b .vbepost
%patch54 -p1 -b .cdromtoc
%patch55 -p1 -b .fixlocking
%patch56 -p1 -b .lukslock

#needed by patch56
aclocal-1.9
automake-1.9 -a
autoconf

%build

%configure2_5x \
    --localstatedir=%{_var} \
    --disable-selinux --disable-policy-kit --enable-umount-helper \
    --enable-docbook-docs --enable-gtk-doc

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}

cat << EOF > $RPM_BUILD_ROOT%{_datadir}/hal/fdi/policy/10osvendor/99-mandriva-storage-policy-fixed-drives.fdi
<?xml version="1.0" encoding="UTF-8"?> <!-- -*- SGML -*- --> 

<deviceinfo version="0.2">
<device>
  <match key="@block.storage_device:storage.hotpluggable" bool="false">
    <match key="@block.storage_device:storage.removable" bool="false">
      <merge key="volume.ignore" type="bool">true</merge>
    </match>
  </match>
</device>
</deviceinfo>
EOF

cat << EOF > $RPM_BUILD_ROOT%{_datadir}/hal/fdi/policy/10osvendor/90-default-policy-mount-point-names.fdi
<?xml version="1.0" encoding="ISO-8859-1"?> <!-- -*- SGML -*- --> 

<deviceinfo version="0.2">
  <device>
    <match key="info.category" string="volume">
	<match key="@block.storage_device:portable_audio_player.type" string="ipod">
      		<append key="volume.policy.desired_mount_point" type="string">ipod</append>
    	</match>
    	<match key="@block.storage_device:storage.drive_type" string="floppy">
		<append key="volume.policy.desired_mount_point" type="string">floppy</append>
	</match>
    </match>
  </device>
</deviceinfo>
EOF

install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/hal-gnome <<EOF
?package(hal-gnome): \
	command="%{_bindir}/hal-device-manager" \
	needs="X11" \
	section="Configuration/Hardware" \
	icon="hal-device-manager.png" \
	title="Device Manager" \
	longtitle="Shows information about hardware on your system" \
	startup_notify="true" \
	xdg="true"
EOF

mkdir -p %buildroot{%_liconsdir,%_miconsdir,%_iconsdir}
convert -scale 48x48 tools/device-manager/fdo-logo.png %buildroot%_liconsdir/hal-device-manager.png
convert -scale 32x32 tools/device-manager/fdo-logo.png %buildroot%_iconsdir/hal-device-manager.png
convert -scale 16x16 tools/device-manager/fdo-logo.png %buildroot%_miconsdir/hal-device-manager.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Device Manager
Comment=Shows information about hardware on your system
Exec=%{_bindir}/hal-device-manager
Icon=hal-device-manager
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Settings;HardwareSettings;X-MandrivaLinux-System-Configuration-Hardware;
EOF

%clean
rm -rf %{buildroot}

%triggerpostun -- hal < 0.2.97-3mdk
/sbin/chkconfig --del haldaemon
/sbin/chkconfig --add haldaemon


%pre
%_pre_useradd haldaemon / /sbin/nologin
%_pre_groupadd daemon haldaemon

%post -n %{lib_name} -p /sbin/ldconfig

%post
if [ "$1" = "2" -a -r %{_datadir}/hal/fdi/30osvendor/locale-policy.fdi ]; then
 mv -f %{_datadir}/hal/fdi/30osvendor/locale-policy.fdi %{_datadir}/hal/fdi/policy/10osvendor/30-locale-policy.fdi > /dev/null
fi
%_post_service haldaemon

%preun
%_preun_service haldaemon

%postun -n %{lib_name} -p /sbin/ldconfig

%post gnome
%update_menus

%postun gnome
%clean_menus

%triggerpostun -- hal < 0.5.7.1
sed -i -e "/# This file is edited by fstab-sync - see 'man fstab-sync' for details/d" -e '/.*\,managed.*/d' /etc/fstab

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING NEWS
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/hal.conf
%config(noreplace) %{_sysconfdir}/rc.d/init.d/*
%config(noreplace) %{_sysconfdir}/udev/rules.d/90-hal.rules
%dir %{_sysconfdir}/hal/
%{_sysconfdir}/hal/fdi
/sbin/umount.hal
%{_sbindir}/*
%{_bindir}/lshal
%{_bindir}/hal-device
%{_bindir}/hal-get-property
%{_bindir}/hal-set-property
%{_bindir}/hal-find-by-capability
%{_bindir}/hal-find-by-property
%{_bindir}/hal-is-caller-locked-out

%attr(0750,haldaemon,haldaemon) %dir %{_var}/cache/hald

%{_libexecdir}/hal*

%dir %{_datadir}/hal
%{_datadir}/hal/fdi

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*hal*.so.%{lib_major}*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc doc/TODO doc/spec/*.png doc/spec/*.html
%doc %_datadir/gtk-doc/html/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%files gnome
%defattr(-,root,root)
%{_bindir}/hal-device-manager
%{_datadir}/hal/device-manager
%_menudir/hal-gnome
%_liconsdir/hal-device-manager.png
%_iconsdir/hal-device-manager.png
%_miconsdir/hal-device-manager.png
%{_datadir}/applications/*.desktop


%changelog
* Tue Mar 27 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5.9-0.rc2.2mdv2007.1
+ Revision: 149241
- Update patch51 to allow acl on ext3
- Update patch53 to fix another harmless typo
- Patch54 (GIT): fix CDROM TOC reading returning invalid TOC info
- Patch55 (GIT): fix locking
- Patch56 (GIT): fix LUKS locking

* Mon Mar 26 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5.9-0.rc2.1mdv2007.1
+ Revision: 148915
- Fix BuildRequires
- Release 0.5.9rc2
- Update patch 53 to really enable all quirks when requested
- Remove patches 54, 55, 56, 57 (merged upsream)

* Fri Mar 23 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5.9-0.rc1.6mdv2007.1
+ Revision: 148342
- Update patch56 with upstream version

* Thu Mar 22 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5.9-0.rc1.5mdv2007.1
+ Revision: 148129
- Patch56: fix return value from umount.hal
- Patch57 (Kareem Dana): fix cdrom detection

* Tue Mar 20 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5.9-0.rc1.4mdv2007.1
+ Revision: 147006
- Patch54 (GIT): make sure hald doesn't exit when receiving unknow errors from helpers
- Patch55: handle dbus system restart without exiting

  + Götz Waschk <waschk@mandriva.org>
    - remove wrong postun call

* Thu Mar 08 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5.9-0.rc1.3mdv2007.1
+ Revision: 138422
- Patch52 (GIT): fix SCSI detection (Mdv bug #27933)
- Patch53: fix vbe-post call for pm-suspend (blino)
- Update patch45 for better reliability

  + Olivier Blin <oblin@mandriva.com>
    - fix vbe-post option for pm-suspend

* Wed Mar 07 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5.9-0.rc1.2mdv2007.1
+ Revision: 134455
- Update patch45 to be more robust with pm-utils output and pass quirks to commandline

* Tue Mar 06 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5.9-0.rc1.1mdv2007.1
+ Revision: 133962
-Release 0.5.9 rc1
-Remove source 1 and patches 0, 27, 40, 41, 42, 44, 46, 49, 50, 60, 61, 62, 63, 64, 65 (merged upstream)
-Regenerate patches 47 and 51 (which wasn't enabled for unknow reason)
-force html spec generation
-

* Fri Mar 02 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5.8.1-10mdv2007.1
+ Revision: 131581
-Patch64 (GIT): fix ACPI detection for latest kernel (Mdv bug #29014)
-Patch65 (GIT): rename smbios.* keys into system.* keys
-move information preprobe fdi files to hal-info and add conflicts to force upgrade

  + Thierry Vignaud <tvignaud@mandriva.com>
    - move huge (800ko!) ChangeLog in devel package

* Wed Feb 21 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5.8.1-9mdv2007.1
+ Revision: 123885
-Update patch46 with more upstream fixes
-Patch63 (GIT): quiet some hal macro
- Patch61 (GIT): add support for umount helper (Mdv bug #24692)
- Patch62 (GIT): fix mtab with utf8 (Novell bug 24692)

* Mon Jan 08 2007 Olivier Blin <oblin@mandriva.com> 0.5.8.1-8mdv2007.1
+ Revision: 106202
- move hal information scripts to hal-info

  + Frederic Crozat <fcrozat@mandriva.com>
    -Patch51: allow user_xattr on ext2/ext3 for mount

* Thu Jan 04 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5.8.1-7mdv2007.1
+ Revision: 104128
- Patch49 (Andrey): fix crash on umount (Mdv bug #27333)
- Patch50 (GIT): handle dbus restart for cpufreq

* Tue Jan 02 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5.8.1-6mdv2007.1
+ Revision: 103348
- Patch47: allow "flush" option for vfat
- Patch48 (SUSE): allow "uid" for NTFS partitions

* Tue Jan 02 2007 Götz Waschk <waschk@mandriva.org> 0.5.8.1-5mdv2007.1
+ Revision: 103052
- from Fedora: fix access to already freed memory
- patch from Fedora: fix possible access to freed memory

* Tue Dec 19 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.8.1-4mdv2007.1
+ Revision: 99698
- Remove patch20 (default mount point is now /media)
  Patch45 (blino): prefer pm-utils when available
  Patch46 (git): fix dbus 1.0 support

  + Olivier Blin <oblin@mandriva.com>
    - be more explicit in pm-utils support
    - prefer pm-utils when available

  + Götz Waschk <waschk@mandriva.org>
    - add  patch descriptions

* Fri Nov 03 2006 Götz Waschk <waschk@mandriva.org> 0.5.8.1-3mdv2007.1
+ Revision: 76168
- add four Fedora patches

* Wed Oct 18 2006 Götz Waschk <waschk@mandriva.org> 0.5.8.1-2mdv2007.1
+ Revision: 66881
- rebuild
- Import hal



* Wed Oct 18 2006 Gtz Waschk <waschk@mandriva.org> 0.5.8.1-1mdv2007.1
- update file list
- fix buildrequires
- disable policy kit
- update deps
- drop patches 12,22,23,25,26,28,29,30,32
- rediff patches 1,20,27
- New version 0.5.8.1

* Thu Sep 14 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.7.1-7mdv2007.0
- Patch32 (GIT): fix get size (Mdv bug #25408)

* Wed Sep 13 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.7.1-6mdv2007.0
- Patch31: add another usb card reader
- move fdi file for ums camera to correct location

* Tue Sep 12 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.7.1-5mdv2007.0
- Patch29 (RH): fix SCSI cdroms drive support (Mdv bug #25567)
- Patch30 (GIT): update FDI for USB card readers and music players
- Update patch23, fdi part is now in patch30

* Mon Sep 11 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.7.1-4mdv2007.0
- Remove patches 0, 24, no longer needed
- Patch27: remove assertion when device in not in GDL (Mdv bug #23268)
- Patch28: prevent race when mounting (Mdv bug #23560)
- add fdi file for camera using ums (Mdv bug #20438)
- Update patch21 to fix Mdv bug #24957

* Tue Aug  1 2006 Gtz Waschk <waschk@mandriva.org> 0.5.7.1-3mdv2007.0
- fix dbus python dep

* Mon Jul 31 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.7.1-2mdv2007.0
- Rebuild with latest dbus
- Patch26 (CVS): don't use dbus deprecated api

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 0.5.7.1-1mdv2007.0
- New release 0.5.7.1

* Wed Jun 28 2006 Gtz Waschk <waschk@mandriva.org> 0.5.7-6mdv2007.0
- update patch 20: fix mount directory in cleanup script (arvidjaar)

* Thu Jun 22 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.7-5mdv2007.0
- Add default mount point for floppy 

* Wed Jun 21 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.7-4mdv2007.0
- Patch25: add support for pmsuspend (Mdv bug #20501)
- Add default mount point for ipod (Mdv bug #22627)

* Mon Jun 19 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.7-3mdv2007.0
- Add storage policy for non hotpluggable/removable harddrive (Fedora) (Mdv bug #23139)
- Update patch21 to start hal after acpid (Mdv bug #22969)
- Migrate to XDG menu

* Fri Jun 16 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.7-2mdv2007.0
- Patch22 (CVS): don't stat autofs / nfs mount points
- Patch23 (CVS): fix PCMCIA card readers support 
- Patch24: fix error in initcript (Mdv bug #20878)

* Fri May 19 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.7-1mdk
- Release 0.5.7 (it requires kernel 2.6.15 or later)
- Remove patches 5, 6, 22 (no londer relevant), 16, 17, 18, 19 (merged upstream)
- Regenerate patch20
- Remove fstab-sync added line from /etc/fstab after upgrading from 
  older hal

* Tue Apr 18 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.5.1-9mdk
- Add conflicts to easy upgrade
- Patch22 (Andrey) : allow automount of firewire drive (Mdk bug #21919)

* Wed Jan 25 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.5.1-8mdk
- Rebuild with latest dbus

* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 0.5.5.1-7mdk
- really use new LSB init patch
  (haha, nobody will ever notice the typo it contained)
- mkrel

* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 0.5.5.1-6mdk
- convert parallel init to LSB

* Fri Jan 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.5.1-5mdk
- drop selinux support

* Sat Dec 31 2005 Couriousous <couriousous@mandriva.org> 0.5.5.1-4mdk
- Patch21: Add parallel init info

* Mon Dec 12 2005 Frederic Crozat <fcrozat@mandriva.com> 0.5.5.1-3mdk
- Patch19 (CVS): fix dbus array support
- Patch20: fix mount script

* Mon Dec 12 2005 Gtz Waschk <waschk@mandriva.org> 0.5.5.1-2mdk
- add new methods for mount, unmount and eject

* Tue Nov 29 2005 Frederic Crozat <fcrozat@mandriva.com> 0.5.5.1-1mdk
- Release 0.5.5.1
- Remove patch15 (merged upstream)
- Patch17 (CVS): fix FAT detection

* Wed Nov 23 2005 Olivier Blin <oblin@mandriva.com> 0.5.4-3mdk
- fix typo in pre script (add haldaemon user, not hamdaemon)

* Thu Nov  3 2005 Olivier Blin <oblin@mandriva.com> 0.5.4-2mdk
- Patch16: use udev_event socket instead of hal.hotplug

* Wed Oct 26 2005 Frederic Crozat <fcrozat@mandriva.com> 0.5.4-1mdk
- Release 0.5.4
- Remove patches 2, 13, 16, 17 (merged upstream), , 8, 14, source 1 (no longer needed)
- Regenerate patches 5, 11
- Disable patches 12 for now

* Sun Oct 09 2005 Pascal Terjan <pterjan@mandriva.org> 0.4.8-15mdk
- Search for udevinfo in /bin

* Fri Sep 16 2005 Helio Chissini de Castro <helio@mandriva.org> 0.4.8-14mdk
- Added non existant pt_BR translation

* Thu Sep 15 2005 Götz Waschk <waschk@mandriva.org> 0.4.8-13mdk
- fix deps for the pre and post scripts

* Tue Sep 13 2005 Olivier Blin <oblin@mandriva.com> 0.4.8-12mdk
- fix hal.dev udev rule so that it is run for the restricted set of
  subsystems that get a DEVNAME (block, class and net)

* Mon Sep 12 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.8-11mdk 
- don't run hal.dev when node are not creating (stop filling syslog with
  DEVNAME not set error message) (blino)
- fix description (daouda)

* Tue Sep 06 2005 Pascal Terjan <pterjan@mandriva.org> 0.4.8-10mdk
- don't fail when otional fields 5 and 6 are not present

* Mon Aug  8 2005 Olivier Blin <oblin@mandriva.com> 0.4.8-9mdk
- use udev rules to replace deprecated dev.d and hotplug.d links

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.8-8mdk 
- Add missing dependency in hal-gnome

* Thu Jul 28 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.8-7mdk 
- Update patch5, don't enable sync anymore, it doesn't do what we 
  want (Mdk bug #16872)

* Tue Jul 19 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.8-6mdk 
- Patch12 is back, new version from Andrej, fix Mdk big #15224 without
  regression on USB HD with 2 partitions

* Tue Jul 19 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.8-5mdk 
- Patch14 : fix floppy detection with kernel >= 2.6.12 (Mdk bug #16759)

* Mon Jul 11 2005 Gtz Waschk <waschk@mandriva.org> 0.4.8-4mdk
- replace prereq
- drop patch 12, it breaks USB HDs with 2 partitions.

* Fri Jul 08 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.8-3mdk 
- Patch12 (Andrej): fix double volume entries
- Patch13 (CVS): improve DVDRAM and DVDROM-DL detection

* Fri May 27 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.4.8-2mdk
- add BuildRequires: automake1.9 intltool

* Fri May 20 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.8-1mdk 
- Release 0.4.8
- remove patches 4, 9 (merged upstream), 7 (no longer needed)
- update patch10 (partially merged)

* Wed Apr 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.7-11mdk 
- Update patch1& to only disable media check for blaclisted devices

* Mon Apr 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.7-10mdk 
- Remove Sony DSC fdi file, it confuses HAL and g-v-m

* Thu Mar 31 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.7-9mdk 
- Patch11: disable media check after first check for USB memory key (Mdk bug #15070)
- Update patch5 to enable back media check 
- Patch12 (CVS): fix huge memleak

* Thu Mar 17 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.7-8mdk 
- Patch9 (CVS): fix zip naming
- Patch10 (CVS): fix translation

* Tue Mar  8 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.7-7mdk
- libtool & 64-bit fixes

* Thu Feb 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.7-6mdk 
- Update patch0 to better detect when startup failed (Mdk bug #13949)

* Mon Feb 21 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.7-5mdk 
- Patch6: detect supermount entry in fstab (Mdk bug #13832)

* Tue Feb 15 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.7-4mdk 
- Patch4 (Fedora): fix net link status detection
- Patch5: change defaults settings (based on patch from Fabrice Facorat)
- Requires usbutils to get usb.ids
- Enable sysfs carrier and pcmcia support

* Fri Feb 11 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.4.7-3mdk
- add BuildRequires: docbook-dtd412-xml doxygen

* Sat Feb  5 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.4.7-2mdk
- fix buildrequires

* Thu Jan 27 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.4.7-1mdk
- add more docs
- New release 0.4.7

* Thu Jan 20 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.4.5-1mdk
- update file list
- New release 0.4.5

* Fri Dec 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-1mdk
- New release 0.4.2

* Thu Dec 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-3mdk
- library package now requires main package

* Thu Nov 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-2mdk
- build with libselinux

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-1mdk
- drop merged patches 4,5
- New release 0.4.1

* Fri Nov  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-2mdk
- buildrequires

* Mon Oct 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.0-1mdk
- Release 0.4.0
- Patch4 (Fedora): fix NON_BLOCK usage
- Patch5 (Fedora): don't use UUID as mount point name

* Fri Sep 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.98-2mdk
- fix buildrequires

* Thu Sep 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.98-1mdk
- adapt file list
- drop merged patch 1
- rediff patch 0
- New release 0.2.98

* Mon Sep 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.97-3mdk
- Patch3 : Start haldaemon earlier in boot process (Mdk bug #11404)

* Mon Sep 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.97-2mdk
- fix buildrequires

* Fri Sep 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.97-1mdk
- Release 0.2.97
- Remove patch 3 (merged upstream)

* Fri Jul 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.94-1mdk
- update file list
- fix build
- New release 0.2.94

* Fri Jul  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.93-1mdk
- add configuration file
- fix URL
- reenable libtooize
- patch2 to fix build
- new version

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.90-3mdk
- remove device manager from main package
- add menu entry for the hal-device-manager

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.90-2mdk
- fix buildrequires

* Tue Apr 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.90-1mdk
- Release 0.2.90 (grabbed from project Utopia)
- Requires pciutils to get pci.ids file 

* Sat Jan 31 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.6-5mdk
- fix buildrequires

* Sat Jan 31 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.6-4mdk
- fix devel requires

* Fri Jan 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.6-3mdk
- fix buildrequires

* Thu Jan 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.6-2mdk
- Fix hal-gnome dependency (houpla)

* Mon Jan 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.6-1mdk
- First Mandrake package  (based on David Zeuthen package)
- Patch0 : fix lock directory location
